nxt.http

## Class CurrencyReserveIncrease

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.CurrencyReserveIncrease

-     public final class CurrencyReserveIncrease
      extends APIServlet.APIRequestHandler

  Increase the value of currency units by paying NXT

  Parameters

  - currency - currency id
  - amountPerUnitNQT - the NQT amount invested into increasing the value of a single currency unit.
    This value is multiplied by the currency total supply and the result is deducted from the sender's account balance.

  Constraints

  This API is allowed only when the currency is `CurrencyType.RESERVABLE` and is not yet active.

  The sender account is registered as a founder. Once the currency becomes active the total supply is distributed between the founders based on their proportional investment
  The list of founders and their NQT investment can be obtained using the `GetCurrencyFounders` API.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `allowRequiredBlockParameters()`
    `static java.util.List<java.lang.String>` | `getCommonParameters()`
    `protected org.json.simple.JSONStreamAware` | `processRequest(javax.servlet.http.HttpServletRequest req)`
    `protected boolean` | `requirePost()`

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isPassword, isTextArea, processRequest, requireBlockchain, requireFullClient, requirePassword, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### processRequest

          protected org.json.simple.JSONStreamAware processRequest(javax.servlet.http.HttpServletRequest req)
                                                            throws NxtException

      Specified by:
        `processRequest` in class `APIServlet.APIRequestHandler`
      Throws:
        `NxtException`

    - #### requirePost

          protected final boolean requirePost()

      Overrides:
        `requirePost` in class `APIServlet.APIRequestHandler`

    - #### allowRequiredBlockParameters

          protected final boolean allowRequiredBlockParameters()

      Overrides:
        `allowRequiredBlockParameters` in class `APIServlet.APIRequestHandler`

    - #### getCommonParameters

          public static java.util.List<java.lang.String> getCommonParameters()